$drawer-width: 300px;

:host {
  display: block;
  margin: 0;
}
:host([sticky-menu]) {
  [content] {
    margin-left: $drawer-width;
  }
}


app-toolbar {
  background: var(--primary-color);
  color: var(--primary-text-color-inverted);
}

@import "_content.scss";

paper-dialog {
  overflow: auto;
  &[big] {
    top: 100px;
    bottom: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    @media(max-width: $responsive-threshold) {
      top: $toolbar-height;
      margin: 0;
    }
  }
  &[small] {
    height: auto;
    width: 70%;
  }

  app-toolbar {
    margin: 0;
    font-size: 1rem;

    paper-dropdown-menu {
      --paper-input-container-color: var(--primary-text-color-inverted);
      --paper-input-container-focus-color: var(--accent-color);
      --paper-input-container-input-color: var(--primary-text-color-inverted);
      --iron-icon-fill-color: var(--primary-text-color-inverted);

      margin-right: .5em;
    }
  }

  .buttons {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    color: var(--primary-text-color);
    p {
      margin: 0 .5em;
    }
  }

}

app-drawer {
  --app-drawer-width: $drawer-width;
  z-index: 12;
  paper-icon-button {
    position: absolute;
    right: 0;
    color: var(--primary-text-color-inverted);
    @media(max-width: $responsive-threshold) {
      display: none;
    }
  }
}

[hide] {
  display: none !important;
}

[lowercase] {
  text-transform: lowercase;
}
@media(max-width: $responsive-threshold) {
  [hide-for-small] {
    display: none !important;
  }
}
